SQL Reporting Services Hosting :: Solving Error in Report Manager – You Must Install .NET Framework 3.5


After the successful installation of SQL Server Reporting Services and when you are trying to access the Report Manger via link: http://localhost/Reports an error message is prompted when you click on Report Builder:

The error message is:

To use Report Builder, you must install .Net Framework 3.5 on this computer. To visit the Microsoft Download Centre and install .Net Framework 3.5, click install.


If you already have .Net Framework 3.5 installed, then you do not need to do this. Even if you install it again, it will still prompt you with the same message again.

Solution:

This is a problem with Internet Explorer version 9. To bypass this, simply click on the compatibility icon, then try to access Report Builder again. This time it will work.

Now you will see the Report Builder has launched:

Hope this help!